Subject: bug#19510: --with-ns won't run on Fedora 21

From: Paul Eggert <[email-masked]>
Date: Sun, 04 Jan 2015 13:29:21 -0800

On Fedora 21 x86-64, if I configure emacs with "./configure --with-ns 
CFLAGS='-g3 -O2 -DGNUSTEP'" (the -DGNUSTEP is to work around Bug#19507), the 
resulting executable fails with the following diagnostic:

2015-01-04 13:27:06.763 emacs[28811] Did not find correct version of backend 
(libgnustep-back-024.bundle), falling back to std (libgnustep-back.bundle).
2015-01-04 13:27:06.764 emacs[28811] NSApplication.m:304  Assertion failed in 
initialize_gnustep_backend.  Unable to find backend back
./emacs: Uncaught exception NSInternalInconsistencyException, reason: 
NSApplication.m:304  Assertion failed in initialize_gnustep_backend.  Unable to 
find backend back

Sorry, I don't know what those diagnostics mean.  I'm using just the standard 
Fedora 21 installation as far as I know.